<%@ page import="java.util.Date" %>
<%@ page import="java.util.Locale" %>
<%@ page import="java.text.NumberFormat" %>
<%@ include file="sql.jsp" %>

<%
  boolean carrelloVuoto=true;

  try {
        Connection c = DriverManager.getConnection(stringaConnessione, utenteSQL, passwordSQL);
        Statement s = c.createStatement();
        ResultSet r = s.executeQuery("SELECT COUNT(*) FROM carrelli WHERE Utente='"+session.getId()+"'");
                        
        if(r.next()) {
                carrelloVuoto=r.getInt(1)==0;
        }
                        
        r.close();
        s.close();
        c.close();
  } catch (SQLException e) {
        response.sendRedirect("errore.jsp");
  }
%>

<html>
<%@ include file="heading.jsp" %>
<body>
<table width="100%" border="0">
  <tr>
    <td colspan="2" class="blubg">
      <%@ include file="banner.jsp" %>
    </td>
  </tr>
  <tr>
    <td width="10%" class="blubg" valign="top">
      <%@ include file="menu.jsp" %>
    </td>
    <td align="center" width="90%">
      <%
        if(carrelloVuoto) {
      %>
        <div class="errore">&nbsp;</div>
        <div class="errore">Il tuo carrello &egrave; vuoto:<br>devi inserirvi dei prodotti prima di effettuare un ordine.</div>
        <div class="errore">&nbsp;</div>
      <%
        }
        else {
      %>
        <div class="intestazione">&nbsp;</div>
        <div class="intestazione">Modulo d'ordine:</div>
        <div class="intestazione">&nbsp;</div>
        <form method="post" action="invia.jsp">
        <table cellpadding="5">
          <tr>
            <td class="intestazione_form">
              Nome:&nbsp;
            </td>
            <td>
              <input type="text" name="nome" size="20">
            </td>
          </tr>
          <tr>
            <td class="intestazione_form">
              Cognome:&nbsp;
            </td>
            <td>
              <input type="text" name="cognome" size="20">
            </td>
          </tr>
          <tr>
            <td class="intestazione_form">
              Indirizzo:&nbsp;
            </td>
            <td>
              <input type="text" name="indirizzo" size="20">
            </td>
          </tr>
          <tr>
            <td class="intestazione_form">
              Modalit&agrave; di pagamento:&nbsp;
            </td>
            <td>
              <select name="pagamento">
                <option value="-">Seleziona un'opzione...</option>
                <option value="bonifico bancario">Bonifico bancario</option>
                <option value="contrassegno">Pagamento in contrassegno</option>
              </select>
            </td>
          </tr>
          <tr>
            <td class="intestazione_form">
              Modalit&agrave; di consegna:&nbsp;
            </td>
            <td>
              <select name="consegna">
                <option value="-">Seleziona un'opzione...</option>
                <option value="corriere espresso">Corriere espresso</option>
                <option value="posta celere">Posta celere</option>
              </select>
            </td>
          </tr>
        </table>
        <div class="intestazione">&nbsp;</div>
        <div class="intestazione">Prodotti:</div>
        <div class="intestazione">&nbsp;</div>
        <table border="0" cellpadding="5">
          <tr>
            <td class="intestazione_tabella">
              Prodotto
            </td>
            <td class="intestazione_tabella">
              Descrizione
            </td>
            <td class="intestazione_tabella">
              Prezzo unitario (&euro;)
            </td>
            <td class="intestazione_tabella">
              Quantit&agrave;
            </td>
            <td class="intestazione_tabella">
              Prezzo totale (&euro;)
            </td>
          </tr>
              <%
                  int riga=0;
                  NumberFormat fmt=NumberFormat.getInstance(Locale.ITALIAN);
                  fmt.setMinimumFractionDigits(2);
                  fmt.setMaximumFractionDigits(2);
                  fmt.setParseIntegerOnly(false);
                  double totale=0.0;
  
                  try {
                    Connection c = DriverManager.getConnection(stringaConnessione, utenteSQL, passwordSQL);
                    Statement s = c.createStatement();
                    ResultSet r = s.executeQuery("SELECT P.ID, P.Prodotto, P.Descrizione, P.Prezzo, C.QuantitaProdotto FROM prodotti AS P, carrelli AS C WHERE Utente='"+session.getId()+"' AND P.ID=C.IDProdotto");

                    while(r.next()) {
                      riga++;
                      totale+=r.getFloat(4)*r.getInt(5);
              %>
                          <tr>
                            <td class='<%= riga%2==0 ? "riga2_tabella" : "riga1_tabella"%>'><%= r.getString(2)%></td>
                            <td class='<%= riga%2==0 ? "riga2_tabella" : "riga1_tabella"%>'><%= r.getString(3)%></td>
                            <td class='<%= riga%2==0 ? "riga2_tabella" : "riga1_tabella"%>'><%= fmt.format(r.getFloat(4))%></td>
                            <td class='<%= riga%2==0 ? "riga2_tabella" : "riga1_tabella"%>'>
                              <%= r.getInt(5)%>
                            </td>
                            <td class='<%= riga%2==0 ? "riga2_tabella" : "riga1_tabella"%>'><%= fmt.format(r.getFloat(4)*r.getInt(5))%></td>
                          </tr>
              <%
                    }

                    r.close();
                    s.close();
                    c.close();
                  } catch (SQLException e) {
                    response.sendRedirect("errore.jsp");
                  }
              %>
          <tr>
            <td colspan="5" align="right">
              Contributo fisso spese di spedizione: <%= fmt.format(contributoSpeseSpedizione)%> &euro;
            </td>
          </tr>
          <tr>
            <td colspan="5" align="right">
              Totale: <%= fmt.format(totale+contributoSpeseSpedizione)%> &euro;
            </td>
          </tr>
        </table>
        <div>
          <input type="submit" value="Invia &gt;&gt;">
        </div>
        </form>
      <%
        }
      %>
    </td>
  </tr>
  <tr>
    <td colspan="2">
      <%@ include file="footer.jsp" %>
    </td>
  </tr>
</table>
<body>

</html>